Skip to main content

Withdraw crypto assets

POST 

/crypto/withdrawal

Request to withdraw crypto assets to a wallet over the specified network.

info

This is a private endpoint. To send requests, you need to authenticate.

Rate limit weight points: 25

Request

Bodyrequired

    assetstringrequired

    The asset you want to withdraw.

    Possible values: non-empty and <= 10 characters

    Example: BTC
    networkstringrequired

    The network you want to withdraw the asset to.

    Possible values: non-empty and <= 10 characters

    Example: BTC
    addressstringrequired

    The address where to withdraw the asset to.

    Make sure to check the address. Funds cannot be recovered after being withdrawn to the wrong address.

    Possible values: non-empty and <= 500 characters

    Example: BitcoinAddress
    amountstringrequired

    The amount to withdraw as a decimal string.

    Example: 0.05
    deductFeeFromAmountbooleanrequired

    If false (default), the recipient receives the full amount and the fee is charged separately. If true, the fee is deducted from amount before it is sent.

    Default value: false
    idempotencyKeystringrequired

    Retries with the same key return the existing withdrawal when the request matches; otherwise the request is rejected.

    Possible values: >= 5 characters and <= 50 characters

    Example: unique-key-123
    memostring

    Memo or tag for networks that require it. Must match the one from the address book. Also known as note or paymentId.

    Possible values: non-empty and <= 500 characters

Responses

The withdrawal was created.

Response Headers
    bitvavo-ratelimit-remaining

    The number of remaining weight points before it resets at bitvavo-ratelimit-resetat.

    bitvavo-ratelimit-resetat

    The time when bitvavo-ratelimit-remaining resets to bitvavo-ratelimit-limit.

    bitvavo-ratelimit-limit

    The number of available weight points in one minute.

Schema
    idstring

    The unique identifier of the withdrawal.

    Example: wd-abc123
    assetstring

    The asset that was withdrawn.

    Possible values: non-empty and <= 10 characters

    Example: BTC
    networkstring

    The network the asset was withdrawn to.

    Possible values: non-empty and <= 10 characters

    Example: BTC
    addressstring

    The address where the asset was withdrawn to.

    Possible values: non-empty and <= 500 characters

    Example: bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh
    amountstring

    The amount that was withdrawn as a decimal string.

    Example: 0.05
    feestring

    The withdrawal fee as a decimal string.

    Example: 0.0001
    createdAtstring<date-time>

    The creation time of the withdrawal.

    Example: 2026-05-19T12:00:00.000Z